API
===

Python API
----------

.. warning::

    The use of *Single Prim* classes (a particular case of the *Prims* classes for a single prim) is discouraged as
    they will be removed in future versions. Use *Prims* classes (formerly *Prim Views*) instead.

.. Summary

.. currentmodule:: isaacsim.core.prims

.. rubric:: *Prims*
.. autosummary::
    :nosignatures:

    Articulation
    ClothPrim
    DeformablePrim
    GeometryPrim
    ParticleSystem
    RigidPrim
    SdfShapePrim
    XFormPrim

.. rubric:: *Single Prims*

.. autosummary::
    :nosignatures:

    SingleArticulation
    SingleClothPrim
    SingleDeformablePrim
    SingleGeometryPrim
    SingleParticleSystem
    SingleRigidPrim
    SingleXFormPrim

|

.. API

Prims
^^^^^

.. autoclass:: isaacsim.core.prims.Articulation
    :members:
    :undoc-members:
    :inherited-members:
    :show-inheritance:

.. autoclass:: isaacsim.core.prims.ClothPrim
    :members:
    :undoc-members:
    :inherited-members:
    :show-inheritance:

.. autoclass:: isaacsim.core.prims.DeformablePrim
    :members:
    :undoc-members:
    :inherited-members:
    :show-inheritance:

.. autoclass:: isaacsim.core.prims.GeometryPrim
    :members:
    :undoc-members:
    :inherited-members:
    :show-inheritance:

.. autoclass:: isaacsim.core.prims.ParticleSystem
    :members:
    :undoc-members:
    :inherited-members:
    :show-inheritance:

.. autoclass:: isaacsim.core.prims.RigidPrim
    :members:
    :undoc-members:
    :inherited-members:
    :show-inheritance:

.. autoclass:: isaacsim.core.prims.SdfShapePrim
    :members:
    :undoc-members:
    :inherited-members:
    :show-inheritance:

.. autoclass:: isaacsim.core.prims.XFormPrim
    :members:
    :undoc-members:
    :inherited-members:
    :show-inheritance:

|

Single Prims
^^^^^^^^^^^^

.. warning::

    The use of *Single Prim* classes (a particular case of the *Prims* classes for a single prim) is discouraged as
    they will be removed in future versions. Use *Prims* classes (formerly *Prim Views*) instead.

.. autoclass:: isaacsim.core.prims.SingleArticulation
    :members:
    :undoc-members:
    :inherited-members:
    :show-inheritance:

.. autoclass:: isaacsim.core.prims.SingleClothPrim
    :members:
    :undoc-members:
    :inherited-members:
    :show-inheritance:

.. autoclass:: isaacsim.core.prims.SingleDeformablePrim
    :members:
    :undoc-members:
    :inherited-members:
    :show-inheritance:

.. autoclass:: isaacsim.core.prims.SingleGeometryPrim
    :members:
    :undoc-members:
    :inherited-members:
    :show-inheritance:

.. autoclass:: isaacsim.core.prims.SingleParticleSystem
    :members:
    :undoc-members:
    :inherited-members:
    :show-inheritance:

.. autoclass:: isaacsim.core.prims.SingleRigidPrim
    :members:
    :undoc-members:
    :inherited-members:
    :show-inheritance:

.. autoclass:: isaacsim.core.prims.SingleXFormPrim
    :members:
    :undoc-members:
    :inherited-members:
    :show-inheritance:
